-- Main game loop
function Main()
	playMusic("audio/music/menu.ogg", "audio/music/menu.ogg",0,500,"mainmenu",1.0);
	
	DisplaySplash("", "splash/portal_logo",3000);
	DisplaySplash("", "splash/itvgranadasplash",3000);
	DisplaySplash("splash/merscon_logo_animated.swf", "splash/merscom_logo",3000);
	DisplaySplash("", "splash/overplay_logo",3000);

	-- Push the game selection screen
	while true do
		DoMainWindow("scripts/mainmenu.lua");
	end
end

-- Return a function to be executed in a thread
return Main